CFPRIME LDYNDA                                                          LDYNDA      1
C***********************************************************************RIGHTE      1
C*                                                                     *RIGHTE      2
C*        Extended Transient-Midterm Stability Program (ETMSP)         *RIGHTE      3
C*        ====================================================         *RIGHTE      4
C*                                                                     *RIGHTE      5
C*       Copyright (C) (1993) Electric Power Research Institute        *RIGHTE      6
C*                                                                     *RIGHTE      7
C* EPRI reserves all rights in the software and associated             *RIGHTE      8
C* documentation as delivered. The software and its associated         *RIGHTE      9
C* documention or any portion thereof may not be reproduced in any form*RIGHTE     10
C* whatsoever without the consent of EPRI, except as explicity provided*RIGHTE     11
C* for by license. Licensee shall submit a detailed description to EPRI*RIGHTE     12
C* of any changes or modifications to the software within two (2)      *RIGHTE     13
C* months after such changes or modifications are made. At EPRI's sole *RIGHTE     14
C* discretion, the software, as changed or modified, shall be given a  *RIGHTE     15
C* new designation sufficiently different from its then current        *RIGHTE     16
C* designation as to prevent mistake,confusion, or deception as between*RIGHTE     17
C* the current software as changed or modified.                        *RIGHTE     18
C*                                                                     *RIGHTE     19
C* A license under EPRI's rights in the software can be obtained       *RIGHTE     20
C* directly from EPRI.                                                 *RIGHTE     21
C*                                                                     *RIGHTE     22
C* This program and supporting materials may be independently available*RIGHTE     23
C* from Electric Power Software centre (EPSC) for an appropriate       *RIGHTE     24
C* distribution fee. The EPSC is a service of                          *RIGHTE     25
C*                                                                     *RIGHTE     26
C*                    Power Computing Company                          *RIGHTE     27
C*                    1930 Hi Line                                     *RIGHTE     28
C*                    Dallas, Tx 75207                                 *RIGHTE     29
C*                                                                     *RIGHTE     30
C* NEITHER EPRI, ANY MEMBER OF EPRI, NOR ANY PERSON OR  ORGANIZATION   *RIGHTE     31
C* ACTING ON BEHAVE OF THEM:                                           *RIGHTE     32
C*                                                                     *RIGHTE     33
C* 1. MAKE ANY WARRANTY OR REPRESENTATION WHATSOEVER, EXPRESS OR       *RIGHTE     34
C*    IMPLIED, INCLUDING ANY WARRANTY OF MERCHANTABILITY OR FITNESS OR *RIGHTE     35
C*    ANY PURPOSE WITH RESPECT TO THE SOFTWARE OR ITS ASSOCIATED       *RIGHTE     36
C*    DOCUMENTATION; OR                                                *RIGHTE     37
C*                                                                     *RIGHTE     38
C* 2. ASSUMES ANY LIABILITY WHATSOEVER WITH RESPECT TO ANY USE OF THE  *RIGHTE     39
C*    SOFTWARE OR ITS ASSOCIATED DOCUMENTATION OR ANY PORTION THEREOF  *RIGHTE     40
C*    OR WITH RESPECT TO ANY DAMAGES WHICH MAY RESULT FROM SUCH USE.   *RIGHTE     41
C*                                                                     *RIGHTE     42
C* THIS NOTICE MAY NOT BE REMOVED FROM THE SOFTWARE BY ANY USER        *RIGHTE     43
C* THEREOF.                                                            *RIGHTE     44
C*                                                                     *RIGHTE     45
C***********************************************************************RIGHTE     46
      SUBROUTINE LDYNDA(IUY,IEBK)                                       LDYNDA      3
CD                                                                      LDYNDA      4
CD    THIS SUBROUTINE IS THE MAIN DRIVER FOR LOADING ALL THE DYNAMIC    LDYNDA      5
CD    DATA.                                                             LDYNDA      6
CD                                                                      LDYNDA      7
CD    THE LOADING PROCEDURE IS:                                         LDYNDA      8
CD                                                                      LDYNDA      9
      INCLUDE 'PARX.INS'                                                LDYNDA     10
      INCLUDE 'CNPT.INS'                                                LDYNDA     11
      INCLUDE 'CNREN.INS'                                               LDYNDA     12
      INCLUDE 'CNFLAG.INS'                                              LDYNDA     13
      INCLUDE 'CNJPT.INS'                                               LDYNDA     14
      INCLUDE 'CNLSTA.INS'                                              LDYNDA     15
      INCLUDE 'CNJDAT.INS'                                              LDYNDA     16
      INCLUDE 'CNMDAT.INS'                                              LDYNDA     17
      INCLUDE 'CNMNEW.INS'                                              LDYNDA     18
      INCLUDE 'CNUDM.INS'                                               LDYNDA     19
      INCLUDE 'CNULTC.INS'                                              LDYNDA     20
      INCLUDE 'CNMSG.INS'                                               LDYNDA     21
      INCLUDE 'UDCG.INS'                                                LDYNDA     22
C                                                                       LDYNDA     23
      CHARACTER*80 MSG1,STRING                                          LDYNDA     24
      EQUIVALENCE (JSVC,JSATR)                                          LDYNDA     25
C                                                                       LDYNDA     26
      LDEB=(JDEB(4).NE.0)                                               LDYNDA     27
C                                                                       LDYNDA     28
      IF(JNT.EQ.0)THEN                                                  LDYNDA     29
         MSG(1)=' *** ERROR NO GENERATOR IS READ. CHECK YOUR DYNAMIC'   LDYNDA     30
     *       //' DATA FILE'                                             LDYNDA     31
         CALL PRTMSG(1)                                                 LDYNDA     32
         CALL ASTOP(MSG(1),61)                                          LDYNDA     33
      ENDIF                                                             LDYNDA     34
C                                                                       LDYNDA     35
      JLN=0                                                             LDYNDA     36
      JLSS=0                                                            LDYNDA     37
      KINPU=0                                                           LDYNDA     38
      IDEL=0                                                            LDYNDA     39
      ICODE=0                                                           LDYNDA     40
      KDC=0                                                             LDYNDA     41
      IDC=0                                                             LDYNDA     42
      IEBK=0                                                            LDYNDA     43
      ICO=0                                                             LDYNDA     44
      JCO=0                                                             LDYNDA     45
CD                                                                      LDYNDA     46
CD    STEP 1. LOAD GENERATOR DATA.                                      LDYNDA     47
CD                                                                      LDYNDA     48
      IF(JNT.NE.0)THEN                                                  LDYNDA     49
      WRITE(LOUT,1000)                                                  LDYNDA     50
      CALL LDGEDA(IUY,IEBK)                                             LDYNDA     51
         IF(IEBK.EQ.0)THEN                                              LDYNDA     52
         WRITE(LOUT,1010) NT                                            LDYNDA     53
         GOTO 120                                                       LDYNDA     54
         ELSE                                                           LDYNDA     55
           IF(CFLRUN)THEN                                               LDYNDA     56
             MSG(1)=' *** ERROR WHEN LOADING GENERATOR DATA'            LDYNDA     57
             CALL PRTMSG(1)                                             LDYNDA     58
             GOTO 120                                                   LDYNDA     59
           ENDIF                                                        LDYNDA     60
 100  CONTINUE                                                          LDYNDA     61
      MSG1='GENERATOR DATA ERROR (C TO CONTINUE; Q TO QUIT)'            LDYNDA     62
      CALL PMTRED(LOUT,LIN,JERR,47,MSG1,'CA2',STRING,KREAD,PLAYBA)      LDYNDA     63
          IF(PLAYBA)CALL PSTOP                                          LDYNDA     64
          IF(RECORD) WRITE(IREC,'(A)') STRING                           LDYNDA     65
          IF(STRING(1:1).EQ.'Q'.OR.STRING(1:1).EQ.'q')THEN              LDYNDA     66
            RETURN                                                      LDYNDA     67
          ELSEIF(STRING(1:1).EQ.'C'.OR.STRING(1:1).EQ.'c')THEN          LDYNDA     68
            GOTO 120                                                    LDYNDA     69
          ELSE                                                          LDYNDA     70
            KREAD=.TRUE.                                                LDYNDA     71
            GOTO 100                                                    LDYNDA     72
          ENDIF                                                         LDYNDA     73
C                                                                       LDYNDA     74
        ENDIF                                                           LDYNDA     75
C                                                                       LDYNDA     76
      ENDIF                                                             LDYNDA     77
C                                                                       LDYNDA     78
 120  CONTINUE                                                          LDYNDA     79
CD                                                                      LDYNDA     80
CD    STEP 2. LOAD INFINITE BUS DATA.                                   LDYNDA     81
CD                                                                      LDYNDA     82
      IF(JIFBUS.NE.0)THEN                                               LDYNDA     83
        WRITE(LOUT,1040)                                                LDYNDA     84
        DO 170 LL=1,JIFBUS                                              LDYNDA     85
        NLF=NIFBUS(LL)                                                  LDYNDA     86
        IF(NLF.EQ.0)GOTO 170                                            LDYNDA     87
        NPROG=MNEW(NLF)                                                 LDYNDA     88
        IF(NPROG.EQ.0)GOTO 170                                          LDYNDA     89
        IF(JBSTAT(NPROG).GT.2)GOTO 170                                  LDYNDA     90
        NINF(LL)=NLF                                                    LDYNDA     91
 170    CONTINUE                                                        LDYNDA     92
        IFNBUS=JIFBUS                                                   LDYNDA     93
        WRITE(LOUT,1050) IFNBUS                                         LDYNDA     94
      ENDIF                                                             LDYNDA     95
CD                                                                      LDYNDA     96
CD    STEP 3. LOAD INDUCTION MOTOR DATA.                                LDYNDA     97
CD                                                                      LDYNDA     98
      IF(JMOTL.NE.0)THEN                                                LDYNDA     99
      WRITE(LOUT,1060)                                                  LDYNDA    100
      CALL LIMODA(IUY,IEBK)                                             LDYNDA    101
         IF(IEBK.EQ.0)THEN                                              LDYNDA    102
         WRITE(LOUT,1070) NMOTL                                         LDYNDA    103
         GOTO 240                                                       LDYNDA    104
         ELSE                                                           LDYNDA    105
           IF(CFLRUN)THEN                                               LDYNDA    106
             MSG(1)=' *** ERROR WHEN LOADING INDUCTION MOTOR DATA'      LDYNDA    107
             CALL PRTMSG(1)                                             LDYNDA    108
             GOTO 240                                                   LDYNDA    109
           ENDIF                                                        LDYNDA    110
 220       CONTINUE                                                     LDYNDA    111
      MSG1='INDUCTION MOTOR DATA ERROR (C TO CONTINUE; Q TO QUIT)'      LDYNDA    112
      CALL PMTRED(LOUT,LIN,JERR,53,MSG1,'CA2',STRING,KREAD,PLAYBA)      LDYNDA    113
            IF(PLAYBA)CALL PSTOP                                        LDYNDA    114
            IF(RECORD) WRITE(IREC,'(A)') STRING                         LDYNDA    115
          IF(STRING(1:1).EQ.'Q'.OR.STRING(1:1).EQ.'q')THEN              LDYNDA    116
            RETURN                                                      LDYNDA    117
          ELSEIF(STRING(1:1).EQ.'C'.OR.STRING(1:1).EQ.'c')THEN          LDYNDA    118
              GOTO 240                                                  LDYNDA    119
            ELSE                                                        LDYNDA    120
              KREAD=.TRUE.                                              LDYNDA    121
              GOTO 220                                                  LDYNDA    122
            ENDIF                                                       LDYNDA    123
         ENDIF                                                          LDYNDA    124
C                                                                       LDYNDA    125
      ENDIF                                                             LDYNDA    126
C                                                                       LDYNDA    127
 240  CONTINUE                                                          LDYNDA    128
CD                                                                      LDYNDA    129
CD    STEP 4. LOAD SVC DATA.                                            LDYNDA    130
CD                                                                      LDYNDA    131
      IF (JSATR.NE.0) THEN                                              LDYNDA    132
         WRITE(LOUT,1080)                                               LDYNDA    133
         CALL LSVCDA(IUY,IEBK)                                          LDYNDA    134
         IF (IEBK.EQ.0) THEN                                            LDYNDA    135
            WRITE(LOUT,1090) NSVC                                       LDYNDA    136
            GOTO 280                                                    LDYNDA    137
         ELSE                                                           LDYNDA    138
           IF(CFLRUN)THEN                                               LDYNDA    139
             MSG(1)=' *** ERROR WHEN LOADING SVC DATA'                  LDYNDA    140
             CALL PRTMSG(1)                                             LDYNDA    141
             GOTO 280                                                   LDYNDA    142
           ENDIF                                                        LDYNDA    143
 260        CONTINUE                                                    LDYNDA    144
            MSG1='SVC DATA ERROR (C TO CONTINUE; Q TO QUIT)'            LDYNDA    145
            CALL PMTRED(LOUT,LIN,JERR,41,MSG1,'CA2',STRING,KREAD,PLAYBA)LDYNDA    146
            IF(PLAYBA)CALL PSTOP                                        LDYNDA    147
            IF (RECORD) WRITE(IREC,'(A)') STRING                        LDYNDA    148
            IF (STRING(1:1).EQ.'Q'.OR.STRING(1:1).EQ.'q') THEN          LDYNDA    149
               RETURN                                                   LDYNDA    150
            ELSE IF (STRING(1:1).EQ.'C'.OR.STRING(1:1).EQ.'c') THEN     LDYNDA    151
               GOTO 280                                                 LDYNDA    152
            ELSE                                                        LDYNDA    153
               KREAD=.TRUE.                                             LDYNDA    154
               GOTO 260                                                 LDYNDA    155
            END IF                                                      LDYNDA    156
         END IF                                                         LDYNDA    157
      END IF                                                            LDYNDA    158
C                                                                       LDYNDA    159
 280  CONTINUE                                                          LDYNDA    160
CD                                                                      LDYNDA    161
CD    STEP 5. LOAD ULTC DATA.                                           LDYNDA    162
CD                                                                      LDYNDA    163
      IF (NULTC .NE. 0) THEN                                            LDYNDA    164
         CALL LULTCD(IUY,IEBK)                                          LDYNDA    165
         IF (IEBK .EQ. 0) THEN                                          LDYNDA    166
            WRITE(LOUT,1190) NULTC                                      LDYNDA    167
         ELSE                                                           LDYNDA    168
           IF(CFLRUN)THEN                                               LDYNDA    169
             MSG(1)=' *** ERROR WHEN LOADING ULTC DATA'                 LDYNDA    170
             CALL PRTMSG(1)                                             LDYNDA    171
             GOTO 295                                                   LDYNDA    172
           ENDIF                                                        LDYNDA    173
 290        CONTINUE                                                    LDYNDA    174
            MSG1='ULTC DATA ERROR (C TO CONTINUE; Q TO QUIT)'           LDYNDA    175
            CALL PMTRED(LOUT,LIN,JERR,42,MSG1,'CA2',STRING,KREAD,PLAYBA)LDYNDA    176
            IF(PLAYBA)CALL PSTOP                                        LDYNDA    177
            IF (RECORD) WRITE(IREC,'(A)') STRING                        LDYNDA    178
            IF (STRING(1:1).EQ.'Q'.OR.STRING(1:1).EQ.'q') THEN          LDYNDA    179
               RETURN                                                   LDYNDA    180
            ELSE IF (STRING(1:1).EQ.'C'.OR.STRING(1:1).EQ.'c') THEN     LDYNDA    181
               GOTO 295                                                 LDYNDA    182
            ELSE                                                        LDYNDA    183
               KREAD=.TRUE.                                             LDYNDA    184
               GOTO 290                                                 LDYNDA    185
            END IF                                                      LDYNDA    186
         END IF                                                         LDYNDA    187
      END IF                                                            LDYNDA    188
C                                                                       LDYNDA    189
 295  CONTINUE                                                          LDYNDA    190
CD                                                                      LDYNDA    191
CD    STEP 6. LOAD RANI DATA.                                           LDYNDA    192
CD                                                                      LDYNDA    193
      IF(JRANI.NE.0)THEN                                                LDYNDA    194
      WRITE(LOUT,1100)                                                  LDYNDA    195
      CALL LRANDA(IUY,IEBK)                                             LDYNDA    196
         IF(IEBK.EQ.0)THEN                                              LDYNDA    197
         WRITE(LOUT,1110) NRANI                                         LDYNDA    198
         GOTO 320                                                       LDYNDA    199
         ELSE                                                           LDYNDA    200
           IF(CFLRUN)THEN                                               LDYNDA    201
             MSG(1)=' *** ERROR WHEN LOADING RANI DATA'                 LDYNDA    202
             CALL PRTMSG(1)                                             LDYNDA    203
             GOTO 320                                                   LDYNDA    204
           ENDIF                                                        LDYNDA    205
 300     CONTINUE                                                       LDYNDA    206
      MSG1='RANI DATA ERROR (C TO CONTINUE; Q TO QUIT)'                 LDYNDA    207
      CALL PMTRED(LOUT,LIN,JERR,42,MSG1,'CA2',STRING,KREAD,PLAYBA)      LDYNDA    208
           IF(PLAYBA)CALL PSTOP                                         LDYNDA    209
           IF(RECORD) WRITE(IREC,'(A)') STRING                          LDYNDA    210
          IF(STRING(1:1).EQ.'Q'.OR.STRING(1:1).EQ.'q')THEN              LDYNDA    211
            RETURN                                                      LDYNDA    212
          ELSEIF(STRING(1:1).EQ.'C'.OR.STRING(1:1).EQ.'c')THEN          LDYNDA    213
             GOTO 320                                                   LDYNDA    214
           ELSE                                                         LDYNDA    215
             KREAD=.TRUE.                                               LDYNDA    216
             GOTO 300                                                   LDYNDA    217
           ENDIF                                                        LDYNDA    218
C                                                                       LDYNDA    219
         ENDIF                                                          LDYNDA    220
C                                                                       LDYNDA    221
      ENDIF                                                             LDYNDA    222
C                                                                       LDYNDA    223
 320  CONTINUE                                                          LDYNDA    224
CD                                                                      LDYNDA    225
CD    STEP 7. LOAD STP DATA.                                            LDYNDA    226
CD                                                                      LDYNDA    227
      IF(JTCPS.NE.0)THEN                                                LDYNDA    228
      WRITE(LOUT,1120)                                                  LDYNDA    229
      CALL LSTPDA(IUY,IEBK)                                             LDYNDA    230
         IF(IEBK.EQ.0)THEN                                              LDYNDA    231
         WRITE(LOUT,1130) NTCPS                                         LDYNDA    232
         GOTO 360                                                       LDYNDA    233
         ELSE                                                           LDYNDA    234
           IF(CFLRUN)THEN                                               LDYNDA    235
             MSG(1)=' *** ERROR WHEN LOADING STP DATA'                  LDYNDA    236
             CALL PRTMSG(1)                                             LDYNDA    237
             GOTO 360                                                   LDYNDA    238
           ENDIF                                                        LDYNDA    239
 340     CONTINUE                                                       LDYNDA    240
      MSG1='STP DATA ERROR (C TO CONTINUE; Q TO QUIT)'                  LDYNDA    241
      CALL PMTRED(LOUT,LIN,JERR,41,MSG1,'CA2',STRING,KREAD,PLAYBA)      LDYNDA    242
           IF(PLAYBA)CALL PSTOP                                         LDYNDA    243
           IF(RECORD) WRITE(IREC,'(A)') STRING                          LDYNDA    244
          IF(STRING(1:1).EQ.'Q'.OR.STRING(1:1).EQ.'q')THEN              LDYNDA    245
            RETURN                                                      LDYNDA    246
          ELSEIF(STRING(1:1).EQ.'C'.OR.STRING(1:1).EQ.'c')THEN          LDYNDA    247
             GOTO 360                                                   LDYNDA    248
           ELSE                                                         LDYNDA    249
             KREAD=.TRUE.                                               LDYNDA    250
             GOTO 340                                                   LDYNDA    251
           ENDIF                                                        LDYNDA    252
C                                                                       LDYNDA    253
         ENDIF                                                          LDYNDA    254
C                                                                       LDYNDA    255
      ENDIF                                                             LDYNDA    256
C                                                                       LDYNDA    257
 360  CONTINUE                                                          LDYNDA    258
CD                                                                      LDYNDA    259
CD    STEP 8. LOAD SDB DATA.                                            LDYNDA    260
CD                                                                      LDYNDA    261
      IF(JSDB.NE.0)THEN                                                 LDYNDA    262
      WRITE(LOUT,1140)                                                  LDYNDA    263
      CALL LSDBDA(IUY,IEBK)                                             LDYNDA    264
         IF(IEBK.EQ.0)THEN                                              LDYNDA    265
         WRITE(LOUT,1150) NSDB                                          LDYNDA    266
         GOTO 400                                                       LDYNDA    267
         ELSE                                                           LDYNDA    268
           IF(CFLRUN)THEN                                               LDYNDA    269
             MSG(1)=' *** ERROR WHEN LOADING SDB DATA'                  LDYNDA    270
             CALL PRTMSG(1)                                             LDYNDA    271
             GOTO 400                                                   LDYNDA    272
           ENDIF                                                        LDYNDA    273
 380     CONTINUE                                                       LDYNDA    274
      MSG1='SDB DATA ERROR (C TO CONTINUE; Q TO QUIT)'                  LDYNDA    275
      CALL PMTRED(LOUT,LIN,JERR,41,MSG1,'CA2',STRING,KREAD,PLAYBA)      LDYNDA    276
           IF(PLAYBA)CALL PSTOP                                         LDYNDA    277
           IF(RECORD) WRITE(IREC,'(A)') STRING                          LDYNDA    278
          IF(STRING(1:1).EQ.'Q'.OR.STRING(1:1).EQ.'q')THEN              LDYNDA    279
            RETURN                                                      LDYNDA    280
          ELSEIF(STRING(1:1).EQ.'C'.OR.STRING(1:1).EQ.'c')THEN          LDYNDA    281
             GOTO 400                                                   LDYNDA    282
           ELSE                                                         LDYNDA    283
             KREAD=.TRUE.                                               LDYNDA    284
             GOTO 380                                                   LDYNDA    285
           ENDIF                                                        LDYNDA    286
C                                                                       LDYNDA    287
         ENDIF                                                          LDYNDA    288
C                                                                       LDYNDA    289
      ENDIF                                                             LDYNDA    290
C                                                                       LDYNDA    291
 400  CONTINUE                                                          LDYNDA    292
CD                                                                      LDYNDA    293
CD    STEP 9. LOAD NONLINEAR LOAD DATA.                                 LDYNDA    294
CD                                                                      LDYNDA    295
      IF(JNLD.NE.0)THEN                                                 LDYNDA    296
      WRITE(LOUT,1160)                                                  LDYNDA    297
      CALL LNLBDA(IUY,IEBK)                                             LDYNDA    298
         IF(IEBK.EQ.0)THEN                                              LDYNDA    299
          NKLOAD=NLOD                                                   LDYNDA    300
         WRITE(LOUT,1170) NKLOAD                                        LDYNDA    301
         GOTO 440                                                       LDYNDA    302
         ELSE                                                           LDYNDA    303
           IF(CFLRUN)THEN                                               LDYNDA    304
             MSG(1)=' *** ERROR WHEN LOADING NONLINEAR LOAD DATA'       LDYNDA    305
             CALL PRTMSG(1)                                             LDYNDA    306
             GOTO 440                                                   LDYNDA    307
           ENDIF                                                        LDYNDA    308
 420     CONTINUE                                                       LDYNDA    309
      MSG1='NONLINEAR LOAD DATA ERROR (C TO CONTINUE; Q TO QUIT)'       LDYNDA    310
      CALL PMTRED(LOUT,LIN,JERR,52,MSG1,'CA2',STRING,KREAD,PLAYBA)      LDYNDA    311
           IF(PLAYBA)CALL PSTOP                                         LDYNDA    312
           IF(RECORD) WRITE(IREC,'(A)') STRING                          LDYNDA    313
          IF(STRING(1:1).EQ.'Q'.OR.STRING(1:1).EQ.'q')THEN              LDYNDA    314
            RETURN                                                      LDYNDA    315
          ELSEIF(STRING(1:1).EQ.'C'.OR.STRING(1:1).EQ.'c')THEN          LDYNDA    316
              GOTO 440                                                  LDYNDA    317
           ELSE                                                         LDYNDA    318
              KREAD=.TRUE.                                              LDYNDA    319
              GOTO 420                                                  LDYNDA    320
           ENDIF                                                        LDYNDA    321
C                                                                       LDYNDA    322
         ENDIF                                                          LDYNDA    323
C                                                                       LDYNDA    324
      ENDIF                                                             LDYNDA    325
C                                                                       LDYNDA    326
 440  CONTINUE                                                          LDYNDA    327
C    ..........................................................         LDYNDA    328
C    : LOADING MESSAGE OF MTDC DATA                           :         LDYNDA    329
C                                                                       LDYNDA    330
      IF(KCDC.NE.0)THEN                                                 LDYNDA    331
         IF(NINTF.NE.KCDC)THEN                                          LDYNDA    332
            WRITE(MSG(1),9000) NINTF                                    LDYNDA    333
            WRITE(MSG(2),9010) KCDC                                     LDYNDA    334
            CALL PRTMSG(2)                                              LDYNDA    335
            MSG(1)='TERMINATED DUE TO UDC INPUT ERRORS'                 LDYNDA    336
            CALL ASTOP(MSG(1),34)                                       LDYNDA    337
         ELSE                                                           LDYNDA    338
            WRITE(LOUT,1200) KCDC                                       LDYNDA    339
         ENDIF                                                          LDYNDA    340
      ENDIF                                                             LDYNDA    341
C    ..........................................................         LDYNDA    342
C                                                                       LDYNDA    343
      WRITE(LOUT,1180)                                                  LDYNDA    344
C                                                                       LDYNDA    345
      RETURN                                                            LDYNDA    346
C                                                                       LDYNDA    347
 1000 FORMAT(/,' LOADING GENERATOR DATA:')                              LDYNDA    348
 1010 FORMAT(1X,I5,2X,'SETS OF GENERATOR DATA HAVE BEEN LOADED',//)     LDYNDA    349
 1040 FORMAT(' LOADING INFINITE BUS:')                                  LDYNDA    350
 1050 FORMAT(1X,I5,2X,'INFINITE BUSES HAVE BEEN LOADED',//)             LDYNDA    351
 1060 FORMAT(' LOADING INDUCTION MOTOR DATA:')                          LDYNDA    352
 1070 FORMAT(1X,I5,2X,'SETS OF INDUCTION MOTOR DATA HAVE BEEN LOADED'   LDYNDA    353
     &,//)                                                              LDYNDA    354
 1080 FORMAT(' LOADING SVC DATA:')                                      LDYNDA    355
 1090 FORMAT(1X,I5,2X,'SETS OF SVC DATA HAVE BEEN LOADED',//)           LDYNDA    356
 1100 FORMAT(' LOADING RANI DATA:')                                     LDYNDA    357
 1110 FORMAT(1X,I5,2X,'SETS OF RANI DATA HAVE BEEN LOADED',//)          LDYNDA    358
 1120 FORMAT(' LOADING STP DATA:')                                      LDYNDA    359
 1130 FORMAT(1X,I5,2X,'SETS OF STP DATA HAVE BEEN LOADED',//)           LDYNDA    360
 1140 FORMAT(' LOADING SDB DATA:')                                      LDYNDA    361
 1150 FORMAT(1X,I5,2X,'SETS OF SDB DATA HAVE BEEN LOADED',//)           LDYNDA    362
 1160 FORMAT(' LOADING NONLINEAR LOAD DATA:')                           LDYNDA    363
 1170 FORMAT(1X,I5,2X,'SETS OF NONLINEAR LOAD BUS DATA HAVE BEEN LOADED'LDYNDA    364
     &,//)                                                              LDYNDA    365
 1180 FORMAT(' ALL DYNAMIC DATA HAVE BEEN LOADED'/)                     LDYNDA    366
 1190 FORMAT(1X,I5,2X,'SETS OF ULTC DATA HAVE BEEN LOADED',//)          LDYNDA    367
 1200 FORMAT(1X,I5,2X,'SETS OF HVDC CONVERTER DATA HAVE BEEN LOADED',//)LDYNDA    368
 9000 FORMAT(' *** ERROR NO. OF INTERFACE BLOCKS (',I3,') NOT EQUAL TO')LDYNDA    369
 9010 FORMAT('     NO. OF DC CONVERTERS IN LOAD FLOW (',I3,').')        LDYNDA    370
C                                                                       LDYNDA    371
      END                                                               LDYNDA    372
